Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597574 - [abrt] crash in yumex-2.9.7-1.fc13: __init__.py:7:<module>:ImportError: librpmbuild.so.0: cannot open shared object file: No such file or directory
Summary: [abrt] crash in yumex-2.9.7-1.fc13: __init__.py:7:<module>:ImportError: librp...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:faf84fd0
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 16:37 UTC by Jonathon Walker
Modified: 2010-06-07 16:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-06 10:18:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-29 16:37 UTC, Jonathon Walker
no flags Details

Description Jonathon Walker 2010-05-29 16:37:04 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/share/yumex/yumex.pyc
comment: tried to run yumex after upgrading with preupgrade
component: yumex
executable: /usr/share/yumex/yumex.pyc
kernel: 2.6.33.4-95.fc13.x86_64
package: yumex-2.9.7-1.fc13
reason: __init__.py:7:<module>:ImportError: librpmbuild.so.0: cannot open shared object file: No such file or directory
release: Fedora release 13 (Goddard)

How to reproduce
-----
1.upgrade to FC13 from FC12 using preupgrade
2.start yumex
3.

Comment 1 Jonathon Walker 2010-05-29 16:37:06 UTC
Created attachment 417890 [details]
File: backtrace

Comment 2 Tim Lauridsen 2010-05-31 17:34:40 UTC
look like something is broken on your system, it looks like rpm-python is missing
or your python installation is messed up.

Does yum work ?

Comment 3 Jonathon Walker 2010-06-07 03:19:01 UTC
YUM did not work
Preupgrade did not upgrade rpm-python
after manually installing the new rpm-python, this works.

Comment 4 Tim Lauridsen 2010-06-07 16:12:05 UTC
ok, that was what I suspected


Note You need to log in before you can comment on or make changes to this bug.